Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
fam-2.7.0-r2 & lcms-1.13 fails
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Scandinavian
View previous topic :: View next topic  
Author Message
klockren
Apprentice
Apprentice


Joined: 21 Apr 2004
Posts: 167
Location: Linköping, Sweden

PostPosted: Thu Dec 16, 2004 2:40 pm    Post subject: fam-2.7.0-r2 & lcms-1.13 fails Reply with quote

Hej! Håller på och installerar ett Gentoo 2004.3-system åt en vän. Dock kan jag inte installera KDE och GNOME då de är beroende av paketen fam-2.7.0-r2 och lcms-1.13. Vid emerge fam eller emerge lcms slutar configure med ett felmeddelande.

Code:

checking for correct ltmain.sh version... no

*** Gentoo sanity check failed! ***
*** libtool.m4 and ltmain.sh have a version mismatch! ***
*** (libtool.m4 = 1.5.10, ltmain.sh = 1.4) ***

Please run:

  libtoolize --copy --force

if appropriate, please contact the maintainer of this
package (or your distribution) for help.


Vad är ltmain.sh för skript? Är lösningena att nedgradera eller uppgradera något annat paket? Tacksam för all hjälp!
Back to top
View user's profile Send private message
patrix_neo
Guru
Guru


Joined: 08 Jan 2004
Posts: 374
Location: Svedala

PostPosted: Thu Dec 16, 2004 6:06 pm    Post subject: Reply with quote

root # locate ltmain.sh
/usr/share/libtool/ltmain.sh
root # qpkg -f /usr/share/libtool/ltmain.sh
root # sys-devel/libtool *

Filen ltmain.sh (ver 1.4) bör vara från libtool-1.4, medans systemet tror att du har ver 1.5.
Ser ut som att du har en konflikt mellan 2 olika libtool installationer??

Testa med att göra som det står, så löser det sig oftast. Du behöver en fräsh ominstallation av libtool.

Kan aldrig vara fel i allafall. :)
_________________
update world set ignorance=off where religion=on
Back to top
View user's profile Send private message
tln
Veteran
Veteran


Joined: 24 Sep 2003
Posts: 1502

PostPosted: Thu Dec 16, 2004 6:17 pm    Post subject: Reply with quote

http://forums.gentoo.org/viewtopic.php?t=265763

Verkar vara ett problem med den senaste versionen av libtool. Använd package.mask för att återgå till den version av libtool du hade förut.
Back to top
View user's profile Send private message
klockren
Apprentice
Apprentice


Joined: 21 Apr 2004
Posts: 167
Location: Linköping, Sweden

PostPosted: Thu Dec 16, 2004 6:58 pm    Post subject: Reply with quote

Det löste sig med en nedgradering från libtool 1.5.10 till 1.5.2, tack för svaren!
Back to top
View user's profile Send private message
patrix_neo
Guru
Guru


Joined: 08 Jan 2004
Posts: 374
Location: Svedala

PostPosted: Thu Dec 16, 2004 9:10 pm    Post subject: Reply with quote

tln wrote:
http://forums.gentoo.org/viewtopic.php?t=265763

Verkar vara ett problem med den senaste versionen av libtool. Använd package.mask för att återgå till den version av libtool du hade förut.


Tack för den informationen! Som tur är kör jag nu på 1.5.2-r7.
8)
_________________
update world set ignorance=off where religion=on
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Scandinavian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum